;;;Britt Grapentin
;;;15.09.2004
;;;AutoCAD 2002

(defun C:F-P (/		MASSSTAB  L-1	    F-1	      L2
	      F-2	ORTHOMODE-ALT	    OSMODE-ALT
	      P1	FRAGE	  OBJ1	    OBJ-BLOCK OBJ3
	      P2
	     )

;;;Texthhe aus Mastab ermitteln					;-->
  (setq MASSSTAB (getvar "dimscale"))
					; gewnschte Texthhe 2.5
  (setq MASSSTAB (/ MASSSTAB 10))	;wegen zeichnungseinheit cm
;;;  (setq MASSSTAB (* 0.7 MASSSTAB))	;nur wenn Texthhe 2.5 zu hoch

  (setq L-1 "____legende_nummer")
  (setq F-1 "4")
  (command "layer" "mach" L-1 "fa" F-1 L-1 "")

  (setq L-2 "____legende_bezug")
  (setq F-2 "8")
  (command "layer" "mach" L-2 "fa" F-2 L-2 "")

  (setq ORTHOMODE-ALT (getvar "orthomode"))
  (setvar "orthomode" 0)

  (setq OSMODE-ALT (getvar "osmode"))
  (command "osmode" "0")
  (command "layer" "se" L-2 "")

  (setq
    P1 (getpoint
	 "\n Ausgangspunkt fr Fhrung zeigen: "
       )
  )
  (command "_circle" P1 (* MASSSTAB 5))
  (setq OBJ1 (entlast))


  (if (null NUMMER)			
    (setq NUMMER 0)
  )

  (setq NUMMER (+ NUMMER 1))
  (setq NUMMER-ALT NUMMER)
  (setq FRAGE "Nummer eingeben")
  (print)
  (setq	FRAGE (strcat FRAGE
		      "<"
		      (rtos NUMMER-ALT 2 1)
		      ">"
	      )
  )
  (setq NUMMER (getint FRAGE))

  (if (null NUMMER)
    (setq NUMMER NUMMER-ALT)
  )

;;;  Einstellungen fr Fhrung
;;;dimtxsty;norm8;dimasz;1;dimldrblk;"Punkt"
  (setvar "dimtxsty" "norm8")
  (command "dimasz" "1")
  (setvar "dimldrblk" "punkt")

  (command "_insert"
	   "legende-nummer2"
	   (list 0 0 0)
	   MASSSTAB
	   MASSSTAB
	   "0"
	   NUMMER
  )
  (setq OBJ-BLOCK (entlast))

  (print "Einfgepunkt Text zeigen")
  (command
    "_move"
    OBJ-BLOCK
    ""
    (list 0 0 0)
    PAUSE
  )
  (setq P2 (cdr (assoc 10 (entget OBJ-BLOCK))))
					

  (command
    "fhrung"	 P1	      P2	   ""		""
    "Block"	 "legende-nummer2
    "			      P2	   MASSSTAB	MASSSTAB
    "0"		 NUMMER
   )
  (setq OBJ3 (entlast))
  (command "lschen" OBJ1 OBJ-BLOCK "")

  (command "ndern" OBJ3 "" "ei" "LA" L-1 "")

  (setvar "orthomode" ORTHOMODE-ALT)
  (command "osmode" OSMODE-ALT)
)					; end of defun

(princ "\nType <f-p> to start")